function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const coercer = (_ref) => {
  let {
    intValue,
    stringValue,
    bigIntValue,
    longValue,
    booleanValue,
    isNull
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["intValue", "stringValue", "bigIntValue", "longValue", "booleanValue", "isNull"]);

  if (intValue != null) {
    return Number(intValue);
  } else if (bigIntValue != null) {
    return Number(bigIntValue);
  } else if (longValue != null) {
    return Number(longValue);
  } else if (stringValue != null) {
    return String(stringValue);
  } else if (booleanValue != null) {
    return Boolean(booleanValue);
  } else if (isNull === true) {
    return null;
  } else {
    throw new Error(`Unknown type ${JSON.stringify(rest)}`);
  }
};

export default coercer;
//# sourceMappingURL=coercer.js.map