function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const buildUpsertDocument = (searchExpression, updateExpression) => {
  const isSearchDocument = Object.keys(searchExpression).filter(key => key.indexOf('$') > -1).length === 0;

  const baseDocument = _objectSpread({}, isSearchDocument ? searchExpression : {}, {}, updateExpression['$set'] || {});

  const resultDocument = {};

  for (const key of Object.keys(baseDocument)) {
    const nestedKeys = key.split('.');
    nestedKeys.reduce((acc, val, idx) => acc.hasOwnProperty(val) ? acc[val] : acc[val] = isNaN(Number(nestedKeys[idx + 1])) ? nestedKeys.length - 1 === idx ? baseDocument[key] : {} : [], resultDocument);
  }

  return resultDocument;
};

export default buildUpsertDocument;
//# sourceMappingURL=build-upsert-document.js.map